import subprocess
import numpy as np

cores = 5
seeds = 5
ret = np.zeros((cores-2,4))
for i in range(1,seeds+1):
    o = []
    for j in range(2,cores):
        cmd = "mpiexec --oversubscribe -n "+str(j)+" python3 NoGraphics.py "+str(i)
        out = subprocess.getoutput(cmd)
        tmp = out.split(" ")
        tmp.append(j)
        o.append(tmp)
    ret += np.array(o,dtype=float)
ret/=seeds
print(ret)
np.save("result",ret)
